[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLConnection.StartTransaction

Start the Transaction associated with this Connection

## Declaration

Source position: sqldb.pp line 161

`public procedure TSQLConnection.StartTransaction; override;`

## Description

StartTransaction is a convenience method which starts the default transaction (Transaction). It is equivalent to

    Connection.Transaction.StartTransaction

## Errors

If no transaction is assigned, an exception will be raised.

## See also

EndTransaction |  | End the Transaction associated with this connection

Documentation generated on: Feb 26 2014